package com.phm.manage.service.impl;

import com.phm.manage.domain.DeriveParameter;
import com.phm.manage.mapper.DeriveParameterMapper;
import com.phm.manage.service.IDeriveParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 衍生参数信息Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class DeriveParameterServiceImpl implements IDeriveParameterService {
    @Autowired
    private DeriveParameterMapper deriveParameterMapper;

    /**
     * 查询衍生参数信息
     *
     * @param id 衍生参数信息主键
     * @return 衍生参数信息
     */
    @Override
    public DeriveParameter selectDeriveParameterById(Long id) {
        return deriveParameterMapper.selectDeriveParameterById(id);
    }

    /**
     * 查询衍生参数信息列表
     *
     * @param deriveParameter 衍生参数信息
     * @return 衍生参数信息
     */
    @Override
    public List<DeriveParameter> selectDeriveParameterList(DeriveParameter deriveParameter) {
        return deriveParameterMapper.selectDeriveParameterList(deriveParameter);
    }

    /**
     * 新增衍生参数信息
     *
     * @param deriveParameter 衍生参数信息
     * @return 结果
     */
    @Override
    public int insertDeriveParameter(DeriveParameter deriveParameter) {
        return deriveParameterMapper.insertDeriveParameter(deriveParameter);
    }

    /**
     * 修改衍生参数信息
     *
     * @param deriveParameter 衍生参数信息
     * @return 结果
     */
    @Override
    public int updateDeriveParameter(DeriveParameter deriveParameter) {
        return deriveParameterMapper.updateDeriveParameter(deriveParameter);
    }

    /**
     * 批量删除衍生参数信息
     *
     * @param ids 需要删除的衍生参数信息主键
     * @return 结果
     */
    @Override
    public int deleteDeriveParameterByIds(Long[] ids) {
        return deriveParameterMapper.deleteDeriveParameterByIds(ids);
    }

    /**
     * 删除衍生参数信息信息
     *
     * @param id 衍生参数信息主键
     * @return 结果
     */
    @Override
    public int deleteDeriveParameterById(Long id) {
        return deriveParameterMapper.deleteDeriveParameterById(id);
    }
}
